<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celGameInfo Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celGameInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celGameInfo" -->
<p>General information on a game.  
 <a href="classcelGameInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="nettypes_8h_source.html">physicallayer/nettypes.h</a>&gt;</code></p>

<p><a href="classcelGameInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a01be8a4fd913b79956a143fa6e5a5cc9">Compare</a> (<a class="el" href="classcelGameInfo.html">celGameInfo</a> *other, <a class="el" href="classcelGameInfoList.html">celGameInfoList</a> *filters)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return 0 if this game info is equal to the other, a negative value if it is smaller, and a positive value if it is bigger.  <a href="#a01be8a4fd913b79956a143fa6e5a5cc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a7656bd23a74fccfa2687cca1b800c20e">MatchFilter</a> (<a class="el" href="classcelGameInfo.html">celGameInfo</a> *filter)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this game info matches the filter, false otherwise.  <a href="#a7656bd23a74fccfa2687cca1b800c20e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a393d01f31c1ee418a584806e8fa876e5">current_num_players</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The current number of players.  <a href="#a393d01f31c1ee418a584806e8fa876e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#aee7a69dde9cf6d01aa75fa1cf9428372">custom_data</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Some custom data specific to the application.  <a href="#aee7a69dde9cf6d01aa75fa1cf9428372"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a98f2200b0c48cb5e7791312490f39c72">game_id</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID of the game.  <a href="#a98f2200b0c48cb5e7791312490f39c72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a8fdc6cf0e4edbf743698e9944c2a2ad2">game_name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the game.  <a href="#a8fdc6cf0e4edbf743698e9944c2a2ad2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a79f4b8e8e7facaa7ec70d45171e7b35b">hostname</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The hostname of the server if available.  <a href="#a79f4b8e8e7facaa7ec70d45171e7b35b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga33a5e996e7a90acefb8b1c0bea47e365">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a347f8d21268caac0e83291055a13d8a9">ip_address</a> [32]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The IP address of the game/server, large enough to hold IPv6 address.  <a href="#a347f8d21268caac0e83291055a13d8a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a0b968488bd556e5f08fe5114b91f439d">max_players</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of players for this game.  <a href="#a0b968488bd556e5f08fe5114b91f439d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#a59e83f3d5f6e42f64190140fcff5cafa">password</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The password needed to connect to the game.  <a href="#a59e83f3d5f6e42f64190140fcff5cafa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gac2a9e79eb120216f855626495b7bd18a">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelGameInfo.html#af518a5c71c34eafe567528148ce946ea">port_nb</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The port number of the server.  <a href="#af518a5c71c34eafe567528148ce946ea"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>General information on a game. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00146">146</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a01be8a4fd913b79956a143fa6e5a5cc9"></a><!-- doxytag: member="celGameInfo::Compare" ref="a01be8a4fd913b79956a143fa6e5a5cc9" args="(celGameInfo *other, celGameInfoList *filters)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classcelGameInfo.html#a01be8a4fd913b79956a143fa6e5a5cc9">celGameInfo::Compare</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classcelGameInfo.html">celGameInfo</a> *&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classcelGameInfoList.html">celGameInfoList</a> *&#160;</td>
          <td class="paramname"><em>filters</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return 0 if this game info is equal to the other, a negative value if it is smaller, and a positive value if it is bigger. </p>
<p>This can be used to sort a list of <a class="el" href="classcelGameInfo.html" title="General information on a game.">celGameInfo</a> and display it to the user according to his criterion. </p>

</div>
</div>
<a class="anchor" id="a7656bd23a74fccfa2687cca1b800c20e"></a><!-- doxytag: member="celGameInfo::MatchFilter" ref="a7656bd23a74fccfa2687cca1b800c20e" args="(celGameInfo *filter)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classcelGameInfo.html#a7656bd23a74fccfa2687cca1b800c20e">celGameInfo::MatchFilter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classcelGameInfo.html">celGameInfo</a> *&#160;</td>
          <td class="paramname"><em>filter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if this game info matches the filter, false otherwise. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a393d01f31c1ee418a584806e8fa876e5"></a><!-- doxytag: member="celGameInfo::current_num_players" ref="a393d01f31c1ee418a584806e8fa876e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classcelGameInfo.html#a393d01f31c1ee418a584806e8fa876e5">celGameInfo::current_num_players</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The current number of players. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00168">168</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="aee7a69dde9cf6d01aa75fa1cf9428372"></a><!-- doxytag: member="celGameInfo::custom_data" ref="aee7a69dde9cf6d01aa75fa1cf9428372" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt;<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a>&gt; <a class="el" href="classcelGameInfo.html#aee7a69dde9cf6d01aa75fa1cf9428372">celGameInfo::custom_data</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Some custom data specific to the application. </p>
<p>The interpretation of this field is up to the application. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00177">177</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98f2200b0c48cb5e7791312490f39c72"></a><!-- doxytag: member="celGameInfo::game_id" ref="a98f2200b0c48cb5e7791312490f39c72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> <a class="el" href="classcelGameInfo.html#a98f2200b0c48cb5e7791312490f39c72">celGameInfo::game_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The ID of the game. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00150">150</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8fdc6cf0e4edbf743698e9944c2a2ad2"></a><!-- doxytag: member="celGameInfo::game_name" ref="a8fdc6cf0e4edbf743698e9944c2a2ad2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="classcelGameInfo.html#a8fdc6cf0e4edbf743698e9944c2a2ad2">celGameInfo::game_name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of the game. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00153">153</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79f4b8e8e7facaa7ec70d45171e7b35b"></a><!-- doxytag: member="celGameInfo::hostname" ref="a79f4b8e8e7facaa7ec70d45171e7b35b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="classcelGameInfo.html#a79f4b8e8e7facaa7ec70d45171e7b35b">celGameInfo::hostname</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The hostname of the server if available. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00156">156</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a347f8d21268caac0e83291055a13d8a9"></a><!-- doxytag: member="celGameInfo::ip_address" ref="a347f8d21268caac0e83291055a13d8a9" args="[32]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga33a5e996e7a90acefb8b1c0bea47e365">uint8</a> <a class="el" href="classcelGameInfo.html#a347f8d21268caac0e83291055a13d8a9">celGameInfo::ip_address</a>[32]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The IP address of the game/server, large enough to hold IPv6 address. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00159">159</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0b968488bd556e5f08fe5114b91f439d"></a><!-- doxytag: member="celGameInfo::max_players" ref="a0b968488bd556e5f08fe5114b91f439d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classcelGameInfo.html#a0b968488bd556e5f08fe5114b91f439d">celGameInfo::max_players</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The maximum number of players for this game. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00165">165</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59e83f3d5f6e42f64190140fcff5cafa"></a><!-- doxytag: member="celGameInfo::password" ref="a59e83f3d5f6e42f64190140fcff5cafa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="classcelGameInfo.html#a59e83f3d5f6e42f64190140fcff5cafa">celGameInfo::password</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The password needed to connect to the game. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00171">171</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="af518a5c71c34eafe567528148ce946ea"></a><!-- doxytag: member="celGameInfo::port_nb" ref="af518a5c71c34eafe567528148ce946ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gac2a9e79eb120216f855626495b7bd18a">uint16</a> <a class="el" href="classcelGameInfo.html#af518a5c71c34eafe567528148ce946ea">celGameInfo::port_nb</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The port number of the server. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00162">162</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="nettypes_8h_source.html">nettypes.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
